<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pb_rss_reader/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pb_rss_reader/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pb_rss_reader/locale/English.php";
}

// Infusion general information
$inf_title = $locale['pb_rss_100'];
$inf_description = $locale['pb_rss_101'];
$inf_version = "1.0";
$inf_developer = "PrimalBeast";
$inf_email = "michaldck@gmail.com";
$inf_weburl = "http://www.kaczy.skip.pl";

$inf_folder = "pb_rss_reader"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "pb_rss_reader_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['pb_rss_101']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "pb_rss_reader.php"; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.

$inf_newtable_[1] = "pb_rss_reader (
id smallint(5) unsigned NOT NULL auto_increment,
uid smallint(5) unsigned NOT NULL default '0',
url varchar(255) NOT NULL,
kodowanie varchar(16) NOT NULL,
zrodlo varchar(128) NOT NULL,
ostatnio_pobrany datetime NOT NULL,
max_wiadomosci tinyint(4) NOT NULL default '0',
PRIMARY KEY  (id)
) ENGINE=MyISAM;";

$inf_newtable_[2] = "pb_rss_reader_settings (
strona_kodowa varchar(16) NOT NULL default 'ISO-8859-2',
czas_sprawdzania tinyint(4) NOT NULL default '4',
max_kanalow tinyint(4) NOT NULL default '5',
pobieranie tinyint(4) NOT NULL default '10',
user_pobieranie tinyint(1) NOT NULL default '0'
) ENGINE=MyISAM;";

$inf_droptable_[1] = "pb_rss_reader";
$inf_droptable_[2] = "pb_rss_reader_settings";


?>