<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pb_rss_reader/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pb_rss_reader/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pb_rss_reader/locale/English.php";
}
// *===============------------------
function aktualizujUstawienia() {

  global $locale;

  $_POST['frmUsrPobieranie'][0] ? $tmpval = 1 : $tmpval = 0;

  if ( ($_POST['frmCzas'] < 1) OR ( !isset($_POST['frmCzas']) ) )
    $tmpczas = 1;
  else
    $tmpczas = $_POST['frmCzas'];
    
  dbquery('
    UPDATE '.DB_PREFIX.'pb_rss_reader_settings
    SET
      strona_kodowa = "'.$_POST['frmStrona'].'",
      czas_sprawdzania = '.strval($tmpczas).',
      max_kanalow = '.$_POST['frmIleKanalow'].',
      pobieranie = '.$_POST['frmPobieranie'].',
      user_pobieranie = '.$tmpval.'
  ');
  
  opentable("Komunikat");
  echo $locale['pb_rss_122'].'<br>
    <a href="?akc=ustawienia">'.$locale['pb_rss_103'].' &raquo;</a>
  ';
  closetable();
}
// *===============------------------
function pokazUstawienia() {
  global $locale;
  
  $result = dbquery( 'SELECT * FROM '.DB_PREFIX.'pb_rss_reader_settings');
  if (dbrows($result)==0)
    dbquery('INSERT INTO '.DB_PREFIX.'pb_rss_reader_settings (max_kanalow, user_pobieranie) VALUES (5, 0)');
  
  $ustawienia = dbarray( dbquery( 'SELECT * FROM '.DB_PREFIX.'pb_rss_reader_settings') );
  
  opentable($locale['pb_rss_123']);
    echo '
      <center>
      <form name="frmUstawienia" action="'.FUSION_SELF.'?akc=aktualizuj" method="POST">
      <table border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td class="tbl1">'.$locale['pb_rss_124'].'</td>
          <td class="tbl1"><input name="frmStrona" type="TEXT" class="textbox" size="16" value="'.$ustawienia['strona_kodowa'].'"></td>
        </tr>
        <tr>
          <td class="tbl1">'.$locale['pb_rss_125'].'</td>
          <td class="tbl1"><input name="frmCzas" type="TEXT" class="textbox" size="3" value="'.$ustawienia['czas_sprawdzania'].'"></td>
        </tr>
        <tr>
          <td class="tbl1">'.$locale['pb_rss_126'].'</td>
          <td class="tbl1"><input name="frmIleKanalow" type="TEXT" class="textbox" size="3" value="'.$ustawienia['max_kanalow'].'"></td>
        </tr>
        <tr>
          <td class="tbl1">'.$locale['pb_rss_127'].'</td>
          <td class="tbl1"><input name="frmPobieranie" type="TEXT" class="textbox" size="3" value="'.$ustawienia['pobieranie'].'"></td>
        </tr>
        <tr>
          <td class="tbl1">'.$locale['pb_rss_128'].'</td>
          <td class="tbl1">
    ';

    if ($ustawienia['user_pobieranie'])
      echo '<input name="frmUsrPobieranie[]" type="checkbox" class="textbox" checked>';
    else
      echo '<input name="frmUsrPobieranie[]" type="checkbox" class="textbox">';
      
    echo '
          </td>
        </tr>
      </table>
        <input type="submit" class="textbox" value=" '.$locale['pb_rss_129'].' &raquo; ">
      </form>
      </center>
    ';
  closetable();
}
// *===============------------------
switch ($_GET['akc']) {

  case 'aktualizuj':
    aktualizujUstawienia();
  break;
  
  case 'ustawienia':
  default:
    pokazUstawienia();
  break;
}
// *===============------------------

echo "</td>\n";
require_once BASEDIR."footer.php";
?>